# CARP Core Library

[![pub package](https://img.shields.io/pub/v/carp_core.svg)](https://pub.dartlang.org/packages/carp_core)
[![pub points](https://img.shields.io/pub/points/carp_core?color=2E8B57&label=pub%20points)](https://pub.dev/packages/carp_core/score)
[![github stars](https://img.shields.io/github/stars/cph-cachet/carp.sensing-flutter.svg?style=flat&logo=github&colorB=deeppink&label=stars)](https://github.com/cph-cachet/carp.sensing-flutter)
[![MIT License](https://img.shields.io/badge/license-MIT-purple.svg)](https://opensource.org/licenses/MIT)

This package is one of the software components in the the overall [Copenhagen Research Platform (CARP)](https://carp.cachet.dk).

This package contains the [CARP Core](https://github.com/cph-cachet/carp.core-kotlin) domain model as implemented in Dart. It contains the domain model used in the [carp_mobile_sensing](https://pub.dev/packages/carp_mobile_sensing) framework and all of its supporting libraries, packages, etc.

This package does nothing on its own.

## Documentation

* For an overview of CARP Mobile Sensing (CAMS), see the [CARP Mobile Sensing](https://carp.cachet.dk/cams/) homepage. Also see the [carp_mobile_sensing](https://pub.dev/packages/carp_mobile_sensing) framework on pub.dev, as well as the [API documentation](https://pub.dev/documentation/carp_mobile_sensing/latest/).

* For an overview of all CAMS packages, see [CARP Mobile Sensing in Flutter](https://github.com/cph-cachet/carp.sensing-flutter).

* For documentation on how to use CAMS, see the [CAMS wiki](https://github.com/cph-cachet/carp.sensing-flutter/wiki).

* For a thorough description of the CARP Core domain model, see the [carp.core-kotlin](https://github.com/cph-cachet/carp.core-kotlin) repository. The [`example.dart`](https://pub.dev/packages/carp_core/example) of this package illustrates how the [Kotlin examples](https://github.com/cph-cachet/carp.core-kotlin#example) are implemented using Dart.
